# proxadmin
web panel for proxmaster built with Flask

setup nginx vhosts:
example.com.conf:

```
server {
    listen       80;
    server_name  panel.example.com;
    root /var/www/html;
    location / {
    }
}
```

example.com-ssl.conf:
```
server {
    listen       443 ssl;
    server_name  EXAMPLE.com;

    ssl_certificate /etc/letsencrypt/live/EXAMPLE.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/EXAMPLE.com/privkey.pem;

    ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
    ssl_prefer_server_ciphers on;
    ssl_dhparam /etc/letsencrypt/dhparam.pem;
    ssl_ciphers 'ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-DSS-AES128-GCM-SHA256:kEDH+AESGCM:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA:ECDHE-ECDSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:DHE-DSS-AES128-SHA256:DHE-RSA-AES256-SHA256:DHE-DSS-AES256-SHA:DHE-RSA-AES256-SHA:AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:AES:CAMELLIA:DES-CBC3-SHA:!aNULL:!eNULL:!EXPORT:!DES:!RC4:!MD5:!PSK:!aECDH:!EDH-DSS-DES-CBC3-SHA:!EDH-RSA-DES-CBC3-SHA:!KRB5-DES-CBC3-SHA';
    ssl_session_timeout 1d;
    ssl_session_cache shared:SSL:50m;
    ssl_stapling on;
    ssl_stapling_verify on;
    add_header Strict-Transport-Security max-age=15768000;


    location / {
            proxy_pass http://127.0.0.1:5000$request_uri;
            proxy_set_header Host $host;
            proxy_set_header X-Forwarded-For $remote_addr;
    }

    location /novnc {
            alias  /home/USER/appserver/noVNC;
    }
```

setup db backend:
1. apt-get install postgresql postgresql-contrib libpq-dev
2. sudo -i -u postgres psql
3. create user proxadmin with password 'mypassword';
4. create database proxadmin owner proxadmin encoding 'utf-8';
 
setup panel
1. adduser USER
2. cd /home/USER
3. virtualenv -p python3 appserver
4. cd appserver
5. git clone git://github.com/kanaka/noVNC
6. git clone https://deflax@bitbucket.org/deflax/proxmaster-panel.git
7. source bin/activate
8. cd proxmaster-panel/ ; pip install -r requirements.txt
9. python3 manage.py db init ; python3 manage.py db migrate -m "init" ; python3 manage.py db upgrade ; python3 manage.py deploy

start:
1. crontab -e
2. @reboot /usr/bin/screen -dmS proxadmin /home/proxadmin/appserver/proxmaster-panel/start.sh


